Commit 201e2c41 authored by Geoffrey Métais's avatar Geoffrey Métais

Factorize AppCompat version setting

parent ad94bec8
......@@ -46,6 +46,6 @@ task generateSources (type: Jar) {
dependencies {
compile fileTree(dir: 'libs', include: ['*.jar'])
compile 'com.android.support:appcompat-v7:25.2.0'
compile 'com.android.support:appcompat-v7:'+rootProject.ext.appCompatVersion
testCompile 'junit:junit:4.12'
}
......@@ -16,6 +16,8 @@ allprojects {
}
ext {
appCompatVersion = '25.2.0'
constraintLayoutVersion = '1.0.2'
buildToolsVersion = "25.0.2"
compileSdkVersion = 25
minSdkVersion = 9
......
......@@ -104,5 +104,5 @@ clean {
}
dependencies {
compile 'com.android.support:support-annotations:25.2.0'
compile 'com.android.support:support-annotations:'+rootProject.ext.appCompatVersion
}
......@@ -63,7 +63,7 @@ clean {
dependencies {
compile project(':libvlc')
compile 'com.android.support:support-v4:25.2.0'
compile 'com.android.support:support-compat:25.2.0'
compile 'com.android.support:support-fragment:25.2.0'
compile 'com.android.support:support-v4:'+rootProject.ext.appCompatVersion
compile 'com.android.support:support-compat:'+rootProject.ext.appCompatVersion
compile 'com.android.support:support-fragment:'+rootProject.ext.appCompatVersion
}
\ No newline at end of file
......@@ -180,14 +180,14 @@ dependencies {
compile project(':medialibrary')
compile project(':api')
compile project(':axmlrpc')
compile 'com.android.support:appcompat-v7:25.2.0'
compile 'com.android.support:recyclerview-v7:25.2.0'
compile 'com.android.support:design:25.2.0'
compile 'com.android.support:support-annotations:25.2.0'
compile 'com.android.support:preference-v7:25.2.0'
compile 'com.android.support:leanback-v17:25.2.0'
compile 'com.android.support:preference-leanback-v17:25.2.0'
compile 'com.android.support.constraint:constraint-layout:1.0.2'
compile 'com.android.support:appcompat-v7:'+rootProject.ext.appCompatVersion
compile 'com.android.support:recyclerview-v7:'+rootProject.ext.appCompatVersion
compile 'com.android.support:design:'+rootProject.ext.appCompatVersion
compile 'com.android.support:support-annotations:'+rootProject.ext.appCompatVersion
compile 'com.android.support:preference-v7:'+rootProject.ext.appCompatVersion
compile 'com.android.support:leanback-v17:'+rootProject.ext.appCompatVersion
compile 'com.android.support:preference-leanback-v17:'+rootProject.ext.appCompatVersion
compile 'com.android.support.constraint:constraint-layout:'+rootProject.ext.constraintLayoutVersion
testCompile 'junit:junit:4.12'
}
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment